Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.lang
[Java] Class MetaArrayLengthProperty

    java.lang.Object
      groovy.lang.MetaProperty
          groovy.lang.MetaArrayLengthProperty

    public class MetaArrayLengthProperty
    extends MetaProperty

Represents a property on a bean which may have a getter and/or a setter

Authors:
  James Strachan

Version:
  \$Revision: 20589 \$

Field Summary

Fields inherited from class MetaProperty
PROPERTY_SET_PREFIX, name, type

Constructor Summary
`MetaArrayLengthProperty()`

Method Summary
`Object` | `getProperty(Object object)` @return the property of the given object
`void` | `setProperty(Object object, Object newValue)` Sets the property on the given object to the new value

Methods inherited from class MetaProperty
getGetterName, getModifiers, getName, getProperty, getSetterName, getType, setProperty

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### MetaArrayLengthProperty

    public MetaArrayLengthProperty()

Method Detail

### getProperty

    public Object getProperty(Object object)

  Returns:
    the property of the given object

### setProperty

    public void setProperty(Object object, Object newValue)

  Sets the property on the given object to the new value
  throws:
    RuntimeException if the property could not be set
  Parameters:
    `object` - on which to set the property
    `newValue` - the new value of the property

Copyright © 2003-2010 The Codehaus. All rights reserved.